tt_message_otype_set(library call)

NAME
tt_message_otype_set — set the otype attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_otype_set(
Tt_message m,
const char *otype);

DESCRIPTION

The tt_message_otype_set function sets the object type (otype) attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The otype argument is the type of the object involved in this message.

RETURN VALUE

Upon successful completion, the tt_message_otype_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).